跳到主要内容

Get the modification history of the Pull Request

GET 

/api/v5/repos/:owner/:repo/pulls/:number/modify_history

Request​

Path Parameters

    owner stringrequired

    Repository space address (address path of the enterprise, organization, or individual)

    repo stringrequired

    Repository path (path)

    number stringrequired

    Pull Request Number (case-sensitive, no need to add # sign)

Query Parameters

    access_token string

    User authorization code

Responses​

Response Headers
    Schema
    • Array [
    • idstringrequired
      created_atcreation time (string)required
      updated_atModified Time (string)required
      deletedHas it been deleted (boolean)required
      createdIs it creating (boolean)required
      contentModified content (string)required
      user objectrequired
      loginstringrequired
      namestringrequired
      avatar_urlstringrequired
      object_idstringrequired
      updated_user objectrequired
      loginstringrequired
      namestringrequired
      avatar_urlstringrequired
      object_idstringrequired
    • ]